### Property

# Soup Logger:max-body-size

#### Declaration

    property max-body-size: int [ read, write, construct ]

#### Description [src]

If `SoupLogger:level` is `SOUP_LOGGER_LOG_BODY`, this gives the maximum number of bytes of the body that will be logged. (-1 means “no limit”.)

Type: | `gint`

Getter method | `soup_logger_get_max_body_size()`
Setter method | `soup_logger_set_max_body_size()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no